### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-file/ecl-file-items/ecl-file-items.component.ts`

### Metadata

selector | `ecl-file-items`
templateUrl | `./ecl-file-items.component.html`

### Index

###### Properties
items
###### Methods
getItemsCount onToggleClick
###### Inputs
isExpanded label styleClass
###### Outputs
toggle

### Constructor

`constructor()`

### Inputs

isExpanded
Type : `boolean`
Default value : `false`

label
Type : `string`

styleClass
Type : `string`

### Outputs

toggle
Type : `EventEmitter`

### Methods

getItemsCount
`getItemsCount()`
Returns : `any`

onToggleClick
`onToggleClick(evt: MouseEvent)`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

### Properties

items
Type : `QueryList<EclFileItemComponent>`
Decorators : `@ContentChildren(EclFileItemComponent)`

# result-matching ""

# No results matching ""